﻿.filter-tool-container {
    width: 45vw;
    margin: 0;
    background-color: #ffffff;
    overflow: hidden;
    font-size: 1em;
    border-top: 3px solid #0079c1;
}

.filter-tool-container-drag {
    position: absolute;
    right: 55px; /*calc(5vw);*/
    top: 70px;
    z-index: 100;
    min-width: 750px;
    max-width: 60vw;
    width: 45vw;
    background: #f0f0f0;
    border: 0px solid #d7d7d7;
    overflow: hidden;
    margin: 0;
    font-size: 1em;
}

.filter-tool-container-header {
    color: #ffffff;
    background: #005293;
    cursor: move;
    width: 100%;
    height: 40px;
    line-height: 40px;
    font-size: 1.1em;
    font-weight: normal;
    display: flex;
    align-items: center;
}

.filter-tool-container-header label {
    padding-left: 15px;
    margin-bottom: 0;
    margin-right: 15px;
}

.filter-loader-container {
    width: 100%;
    height: 100%;
    min-width: 750px;
    max-width: 60vw;
    z-index: 200;
    display: flex;
    background-color: rgba(0,0,0, 0.4);
    position: absolute;
}

.module-filter-loader-container {
    width: 100%;
    height: 100%;
    z-index: 200;
    display: flex;
    background-color: rgba(0,0,0, 0.4);
    position: absolute;
}

.custom-filter-tool-container {
    margin: 1px;
    margin-top: 0;
    width: 100%;
}

.esri-view-width-small .esri-ui-corner .esri-component .esri-expand__content .filter-tool-container {
    width: 90vw;
}

.esri-view-width-small .esri-ui-corner .esri-component .esri-expand__content .filter-list {
    font-size: 0.75em;
}

.esri-view-width-small .esri-ui-corner .esri-component .esri-expand__content .filter-list-label-container,
.esri-view-width-small .esri-ui-corner .esri-component .esri-expand__content .filter-list-remove-container {
    padding-top: 0.8em;
}

.esri-view-height-xsmall .esri-ui-top-right .esri-expand--auto .esri-expand__container--expanded .filter-tool-container,
.esri-view-height-xsmall .esri-ui-bottom-right .esri-expand--auto .esri-expand__container--expanded .filter-tool-container {
    height: 90vh;
}

.esri-view-width-xsmall .esri-ui-corner .esri-component .esri-expand__content .filter-tool-container {
    width: 95vw;
}

.filter-form {
    background-color: #ffffff;
    color: #000;
    padding: 5px;
    border: 0px solid #d7d7d7;
    width: 100%;
}

.filter-form .no-margin-block {
    margin: 0;
    flex-basis: calc(100% - 0rem);
    width: calc(100% - 0rem);
}

.filter-form .no-margin-block-group {
    margin: 0;
    flex-basis: calc(100% - 0rem);
    width: calc(100% - 0rem);
}

.filter-form h5 {
    font-size: 1.1em;
    font-weight: 400;
    margin: 0 5px;
}

.filter-form hr {
    margin: 0;
    margin-bottom: 5px;
}

.top-filter-container hr {
    margin: 0;
    display: none;
}

.filter-form .new-filter-btn-container {
    margin-bottom: 15px;
    width: 100%;
}

.filter-form .control-label {
    padding-top: 7px;
}

.filter-form label {
    font-weight: normal;
    margin-bottom: 0;
    display: block;
    font-size: 1em;
}

.filter-form .form-group {
    margin-bottom: 10px;
}

.filter-form input,
.filter-form select {
    font-size: 0.9em;
    margin-top: 0;
}

.filter-form .btn-small {
    font-size: 0.875em;
    line-height: 1.8em;
    margin-top: 5px;
}

.filter-form .grid-container {
    width: 45vw;
}

.filter-desc {
    padding: 5px 10px;
    font-size: 1em;
}

.filter-list-container {
    position: relative;
    width: 100%;
    min-height: 40px;
    max-height: 80px;
    cursor: pointer;
    overflow: hidden;
    color: #000000;
    background-color: #e4e4e4;
    margin-bottom: 5px;
    border: 1px solid #bebebe;
}

.filter-list-container:hover {
    font-weight: bold;
    background-color: #0079c1;
    color: #ffffff;
}

.filter-selected {
    color: #000000;
    border-left: 4px solid #005293;
    border-top: 1px solid #d4d4d4;
    border-right: 1px solid #d4d4d4;
    border-bottom: 1px solid #d4d4d4;
}

.filter-list {
    width: 100%;
    font-style: normal;
    font-size: 0.9em;
    font-weight: normal;
    text-overflow: ellipsis;
    margin: 0;
    min-height: 40px;
    display: flex;
    align-items: center;
}

.filter-list-label-container {
    flex-basis: calc(86% - 0em) !important;
    width: calc(86% - 0em) !important;
    margin: 0;
    padding-left: 5px;
    /*    overflow: hidden;align-self: center;
*/ text-overflow: ellipsis;
}

.filter-list-remove-container {
    flex-basis: calc(14% - 0px) !important;
    width: calc(14% - 0px) !important;
    margin: 0;
    min-height: 16px;
    min-width: 16px;
}

.filter-exp-values-container {
    width: 100%;
    height: 100%;
}

.filter-list-label {
    font-weight: normal;
    margin: 0;
}

.any-or-all {
    padding: 5px;
    border: 1px solid #cccccc;
    border-left-width: 0;
    border-right-width: 0;
    margin-bottom: 5px;
}

.any-or-all span {
    font-size: 0.85em;
    font-style: italic;
}

.caseSensitiveContainer {
    float: left;
}

.caseSensitiveContainer label {
    font-size: 0.9em;
    position: relative;
    display: block;
    margin: 0;
}

.caseSensitiveContainer input[type='checkbox'] {
    margin-top: 0.05em;
}

.option-list label {
    display: inline-block;
    font-size: 0.9em;
    width: auto;
}

.filter-form input[type='radio'],
.filter-form input[type='checkbox'] {
    float: left;
    width: 1rem;
    height: 1rem;
    margin-top: .12rem;
    margin-right: .5rem;
    margin-left: .125rem;
    line-height: 1.25rem;
    box-shadow: none;
    box-sizing: content-box
}

.filter {
    width: 100%;
}

.filters-container {
    min-height: 140px;
    display: flex;
    width: 100%;
}

.top-filter-container label {
    width: 100%;
    margin-bottom: 0 !important;
}

.filter-exp-container {
    display: block;
    padding-left: 2px !important;
    padding-right: 2px !important;
}

.filterAddExp,
.add-filter-exp {
    font-style: normal;
    font-weight: bold;
    font-size: 0.9em;
    color: #005293 !important;
    text-decoration: none !important;
}

.add-filter-exp:hover {
    text-decoration: none !important;
    color: #005293 !important;
    font-weight: bold;
}

.filter-exp-label {
    font-size: 0.85rem !important;
}

.filter-exp-remove-container .esri-icon-close-circled {
    font-size: 1.2em;
    width: 18px;
    height: 18px;
}

.filter-list-remove-container .esri-icon-close-circled {
    font-size: 1.2em;
    width: 18px;
    height: 18px;
    border-radius: 9px;
    padding-top: 3px;
    padding-left: 3px;
}

.remove-item:hover {
    color: #f00000;
}

.filter-form .alert {
    font-size: 0.9em;
    line-height: 1em;
    padding: 0.75em 0.75em;
    color: rgba(0, 0, 0, 0.85);
    margin: 5px 0 0 5px;
    border-radius: 0;
    max-width: calc(100% - 0rem) !important;
    flex-basis: calc(100% - 0rem) !important;
}

.filter-form .alert-close {
    display: block;
    top: 5px;
    font-size: 0.9rem;
}

.filter-form.esri-widget button,
.filter-form.esri-widget [role="button"] {
    font-family: inherit;
    font-size: 14px;
}

.filter-form .filter-footer {
    padding: 5px;
    margin-top: 5px;
    border-top: 1px solid #cccccc;
    display: flex;
    justify-content: space-around;
}

.filter-form .filter-btn-container {
    width: 22%;
    display: flex;
}

.filter-form .filters-btn-container {
    width: 100%;
    margin: auto;
}

.filter-tool-container .filter-footer button {
    font-size: 1em !important;
    min-width: 110px;
    max-width: 210px;
}

.filter-form input,
.filter-form select,
.filter-form textarea,
.filter-form .esri-widget {
    color: #000 !important;
    height: 2.2rem;
    width: 100%;
}

.filter-form input:disabled,
.filter-form select:disabled,
.filter-form textarea:disabled {
    opacity: 1;
}

.filter-form .has-error {
    border: 1px solid #f94343;
}

.filter-main-block {
    margin-left: 0;
    margin-right: 0;
    margin-top: 2px;
    padding-top: 5px;
    border-top: 1px solid #cccccc;
    display: flex;
}

.filter-left-side-block {
    flex-basis: calc(20% - 0rem) !important;
    width: calc(20% - 0rem) !important;
    margin: 0;
    padding-right: 5px;
    max-width: 216px;
}

.filter-right-side-block {
    flex-basis: calc(80% - 0rem) !important;
    width: calc(80% - 0rem) !important;
    margin: 0;
    padding-left: 5px;
    border-left: 1px solid #cccccc;
}

.left-filter-container,
.right-filter-container {
    flex-basis: calc(100% - 0rem) !important;
    width: calc(100% - 0rem) !important;
    margin-left: 0rem;
    margin-right: 0.2rem;
}

.filter-container {
    padding-left: 0px !important;
    padding-right: 0px !important;
    max-height: 259px;
    overflow-y: auto;
    overflow-x: hidden;
    min-height: 65px;
    border-top: 1px solid #bebebe;
    width: 100%;
}

.filter-layer-container {
    display: flex;
    align-items: center
}

.filter-add-exp-container {
    display: flex;
}

.even-filter, .odd-filter {
    margin: 0 !important;
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    border: 1px solid #bebebe;
    border-top: 0 !important;
    align-items: center;
}

.even-filter {
    background-color: #e4e4e4;
}

.odd-filter {
    background-color: #f3f3f3;
}

.container-block-group {
    margin: 0;
    width: 100%;
    display: flex;
    justify-content: space-around
}

.options-selector {
    padding-top: 5px;
    margin: 0;
    width: 100%;
    display: flex;
    flex-wrap: wrap;
}

.options-container {
    margin: 0;
    flex-basis: calc(50% - 0px) !important;
    width: calc(50% - 0px) !important;
    padding-right: 5px;
    float: left;
}

.option-list {
    flex-basis: calc(50% - 0px) !important;
    width: calc(50% - 0px) !important;
    float: left;
    text-align: right;
    margin: 0;
    padding-right: 20px;
}

.field-col, .operator-col, .value-col {
    margin: 0;
    padding-right: 5px;
}

.field-col {
    flex-basis: calc(31% - 5px) !important;
    width: calc(31% - 5px) !important;
    float: left;
}

.operator-col {
    flex-basis: calc(22% - 5px) !important;
    width: calc(22% - 5px) !important;
    float: left;
}

.value-col {
    flex-basis: calc(47% - 0px) !important;
    width: calc(47% - 0px) !important;
    float: left;
}

.value-col {
    padding-right: 0;
}

.one-select {
    font-size: 0.9em;
}

.filter-form .and-span {
    float: left;
    font-weight: bold;
    padding-top: 0.5em;
    text-align: center;
    min-height: 31px;
    font-size: 0.9em;
    width: 40px;
}

.single-value-container {
    /*width: 300px !important;*/
}

.dual-value-container {
    /*width:300px !important;*/
}

.dual-container {
    float: left;
    width: 130px;
}

.filter-form .exp-label {
    flex-basis: calc(60% - 1.5rem) !important;
    width: calc(60% - 1.5rem) !important;
    padding-top: 10px;
}

.col-exp {
    padding: 5px;
}

.exp-label hr {
    margin-top: 0;
    margin-bottom: 0;
    border-top: 1.45px solid #cccccc;
}

.filter-loading-indicator {
    display: none;
    height: 110%;
    width: 100%;
    z-index: 2000;
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    overflow: hidden;
    background: #000000;
    color: #fff;
    opacity: 0.5;
}

.filter-inner-container {
    flex-basis: calc(97% - 0px) !important;
    width: calc(97% - 0px) !important;
    margin: 0;
    display: block;
    padding: 5px;
}

.filter-outer-container {
    flex-basis: calc(3% - 0px) !important;
    width: calc(3% - 0px) !important;
    margin: 0;
    display: block;
}

/*after adding save and upload*/
.filter-form .k-upload .k-upload-button {
    margin: 0;
    width: 100%;
    border-radius: 0 !important;
    padding: 0.375rem 0rem;
    background-color: #005293;
    color: #ffffff;
    border-color: rgb(0, 121, 193);
}

.filter-form .btn:disabled {
    opacity: .65;
    color: #ccc !important;
    background-color: #005293 !important;
    border-color: #0376c3;
    cursor: default;
}

.btn:focus {
    outline: none;
}

.layer-container {
    margin: 0 5px 0 0;
    width: 50%
}

.layer-container select {
    width: inherit;
    height: 2.25rem;
}

.title-container {
    margin: 0;
    width: 50%
}

.title-container input {
    width: 100%;
    height: 2.25rem;
}

.connector-label {
    align-self: center;
    text-align: center;
    padding-right: 10px;
    font-size: 0.9em;
    flex-basis: calc(17% - 0rem) !important;
}

.connector-select {
    flex-basis: calc(83% - 0rem) !important;
}

.filter-form .k-button {
    border-radius: 0 !important;
    background-color: #005293;
    color: #ffffff;
    border-color: #005293;
    height: 34.7px;
}
 
.new-filter-btn {
    width: 100%;
}

input, select, textarea {
    max-width: 100%;
    border: 1px solid #cccccc;
}

.alert-red {
    background-color: #f3ded7;
    border-color: #d83020
}

.alert-yellow {
    background-color: #f3edc7;
    border-color: #edd317
}

.alert-green {
    background-color: #ddeedb;
    border-color: #35ac46
}
